WEECHAT(1)

NAME
weechat - the extensible chat client

SYNOPSIS

weechat [-a|--no-connect] [-d|--dir <path>] [-t|--temp-dir]  [-p|--no-plugin] [-P|--plugins <plugins>] [-r|--run-command <command>] [-s|--no-script] [--upgrade] [debug-option...] [plugin:option...]
weechat [-c|--colors]
weechat [-h|--help]
weechat [-l|--license]
weechat [-v|--version]

DESCRIPTION

WeeChat (Wee Enhanced Environment for Chat) è un client di chat libero, veloce e leggero, realizzato per diversi sistemi operativi. It is highly customizable and extensible with scripts.

OPTIONS

-a, --no-connect
    Disabilita la connessione automatica ai server all’avvio di WeeChat.

-c, --colors
    Mostra i colori prefefiniti nel terminale.

--daemon
    Run WeeChat in background, as a daemon (works only with the command weechat-headless).

--stdout
    Display log messages on standard output instead of writing them in log file (works only with the command weechat-headless, not compatible with option "--daemon").

-d, --dir <path>
    Force a single directory for all WeeChat files (directory is created if not found). Four directories can be given, separated by colons (in this order: config, data, cache, runtime). If this option is not given, the environment variable WEECHAT_HOME is used (if not empty).

-t, --temp-dir
    Create a temporary WeeChat home directory and delete it on exit (incompatible with option "-d").
    The name of the directory is automatically built by WeeChat, with this template: "weechat_temp_XXXXXX" (where "XXXXXX" is random). It it created in the first available directory in this list: environment variable "TMPDIR", "/tmp" (may be different according to the operating system), environment variable "HOME", current directory.
    The temporary home directory has permissions 0700 (only owner can read, write and execute).

-h, --help
    Mostra l’aiuto.

-i, --build-info
    Display build information and exit.

-l, --license
    Mostra la licenza di WeeChat.

-p, --no-plugin
    Disabilita il caricamento automatico dei plugin.

-P, --plugins <plugins>
    Load only these plugins at startup (see /help weechat.plugin.autoload). If this option is given, the option weechat.plugin.autoload is not used.

-r, --run-command <command>
    Run command(s) after startup; many commands can be separated by semicolons, this option can be given multiple times.

-s, --no-script
    Disabilita il caricamento automatico dei script.

--upgrade
    Upgrade WeeChat using session files generated with command /upgrade -quit.

-v, --version
    Mostra la versione di WeeChat.

plugin:option
    Opzione per il plugin.

DEBUG OPTIONS

WARNING: these options are for debug purposes only, DO NOT USE IN PRODUCTION!

--no-dlclose
    Do not call the function dlclose after plugins are unloaded. This is useful with tools like Valgrind to display stack for unloaded plugins.

--no-gnutls
    Do not call the init and deinit functions of GnuTLS library. This is useful with tools like Valgrind and electric-fence, to prevent GnuTLS memory errors.

--no-gcrypt
    Do not call the init and deinit functions of Gcrypt library. This is useful with tools like Valgrind, to prevent Gcrypt memory errors.

PLUGIN OPTIONS

For complete doc on plugin options, please look at plugins documentation in

With irc plugin, you can connect to temporary server with an URL like:

    irc[6][s]://[[nickname][:password]@]server[:port][/#channel1[,#channel2...]]

To join WeeChat IRC channel support with nick "mynick":

    irc://mynick@irc.libera.chat/#weechat

IPv6 address can be enclosed in brackets to add a port after address, for example:

    irc://mynick@[2001:db8:0:85a3::ac1f:8001]:6668/#test

FILES

$HOME/.config/weechat/weechat.conf
    main WeeChat configuration file

$HOME/.config/weechat/plugins.conf
    plugins configuration file

$HOME/.config/weechat/sec.conf
    configuration file with secured data

$HOME/.config/weechat/alias.conf
    configuration file for alias plugin

$HOME/.config/weechat/buflist.conf
    configuration file for buflist plugin

$HOME/.config/weechat/charset.conf
    configuration file for charset plugin

$HOME/.config/weechat/exec.conf
    configuration file for exec plugin

$HOME/.config/weechat/fifo.conf
    configuration file for fifo plugin

$HOME/.config/weechat/fset.conf
    configuration file for fset plugin

$HOME/.config/weechat/guile.conf
    configuration file for guile plugin

$HOME/.config/weechat/irc.conf
    configuration file for irc plugin

$HOME/.config/weechat/javascript.conf
    configuration file for javascript plugin

$HOME/.config/weechat/logger.conf
    configuration file for logger plugin

$HOME/.config/weechat/lua.conf
    configuration file for lua plugin

$HOME/.config/weechat/perl.conf
    configuration file for perl plugin

$HOME/.config/weechat/php.conf
    configuration file for php plugin

$HOME/.config/weechat/python.conf
    configuration file for python plugin

$HOME/.config/weechat/relay.conf
    configuration file for relay plugin

$HOME/.config/weechat/ruby.conf
    configuration file for ruby plugin

$HOME/.config/weechat/script.conf
    configuration file for script plugin

$HOME/.config/weechat/spell.conf
    configuration file for spell plugin

$HOME/.config/weechat/tcl.conf
    configuration file for tcl plugin

$HOME/.config/weechat/trigger.conf
    configuration file for trigger plugin

$HOME/.config/weechat/typing.conf
    configuration file for typing plugin

$HOME/.config/weechat/xfer.conf
    configuration file for xfer plugin

$HOME/.local/share/weechat/weechat.log
    WeeChat log file

SEE ALSO

weechat-headless(1)

AUTHORS

This manpage was written by Sébastien Helleu.

COPYRIGHT

WeeChat is written by Sébastien Helleu and contributors (complete list is in the AUTHORS.md file).

Copyright © 2003-2024 Sébastien Helleu

WeeChat is free software; you can redistribute it and/or modify it under the terms of the GNU General Public License as published by the Free Software Foundation; either version 3 of the License, or (at your option) any later version.

Please read the COPYING file for more information.

Web:

SUPPORT / REPORTING BUGS

For help or a bug report:

AUTHOR

Sébastien Helleu